# Uses of Class
org.apache.datasketches.sampling.ReservoirLongsUnion

Packages that use ReservoirLongsUnion
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of ReservoirLongsUnion in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return ReservoirLongsUnion
Modifier and Type
Method
Description
`static ReservoirLongsUnion`
ReservoirLongsUnion.`heapify(MemorySegment srcSeg)`
Instantiates a Union from MemorySegment
`static ReservoirLongsUnion`
ReservoirLongsUnion.`newInstance(int maxK)`
Creates an empty Union with a maximum reservoir capacity of size k.